ad_page_contract {

    Edit the name of the survey

    @param  section_id  integer denoting survey whose description we're changing

    @author Jin Choi (jsc@arsdigita.com) 
    @author nstrug@arsdigita.com
    @date   February 16, 2000
    @cvs-id $Id: name-edit.tcl,v 1.1 2003/09/19 16:48:04 rmello Exp $
} {

    survey_id:integer
    {name ""}
}

get_survey_info -survey_id $survey_id
set survey_name_unquoted $survey_info(name_unquoted)
set survey_name $survey_info(name)
set survey_description $survey_info(description_unquoted)
set html_p $survey_info(description_html_p)

ad_require_permission $survey_id admin

ad_form -name edit-name -form {
    survey_id:key
    {name:text(text) {label "Survey Name"} {html {size 80}}
	{value $survey_name_unquoted}}
	{description:text(textarea) {label "Description"} 
	{html {rows 10 cols 65}}
        {value $survey_description}}
    {description_html_p:text(radio)      {label "The Above Description is"}
	{options {{"HTML" "t"} {"Plain Text" "f"}}} {value $html_p}
    }
} -validate {
    {name {[string length $name] <= 4000}
    "Survey Name must be less than 4000 characters"
    }
} -edit_request {
    set name $survey_name_unquoted
} -edit_data {
    db_dml survey_update ""
    ad_returnredirect "one?[export_vars survey_id]"
    ad_script_abort
}

set context_bar [ad_context_bar "Edit Name"]

ad_return_template


