ad_page_contract {

    Allow the user to modify a section.

    @param   section_id   section we're changing

    @author  cmceniry@arsdigita.com
    @author  nstrug@arsdigita.com
    @author  openacs@sussdorff.de
    @date    Jan 13, 2004
    @cvs-id  $Id: section-edit-2.tcl,v 1.1.2.1 2004/01/13 20:19:31 maltes Exp $
} {

    section_id:integer,notnull
    name:notnull
    description:html,notnull
    description_html_p:boolean,notnull
    after:integer,notnull
    branch_p:boolean,notnull
    {block_section_p:boolean "f"}
    page_break_p:boolean,notnull
    {answer_descriptions:trim ""}
} -validate {
    first_section_not_branch -requires {branch_p:notnull} {
	if {$branch_p=="t" && $after==0} {
	    ad_complain "First section cannot be branch"
	}
    }
}

get_survey_info -section_id $section_id
set survey_id $survey_info(survey_id)
db_1row get_section_info "" 

set refers_to 0
db_0or1row referring_sort_key ""


db_1row old_sort_key ""
if {$after>$sort_key} {
    incr after -1
}
set sort_key [expr { $after + 1 }]

# if there are branches dependant from this section
# that would be over this section, raise an error
set dependant [db_string dependant ""]
if {![empty_string_p $dependant] && $sort_key>=$dependant} {
    ad_return_complaint 1 "Cannot move section below dependant sections"
    ad_script_abort
}

db_transaction {
    if {$old_block_section_p=="f" && $block_section_p=="t"} {
	if {![survey_block_section_candidate_p $section_id]} {
	    ad_return_complaint 1 "Cannot make measurement section"
	    ad_script_abort
	}
	# Make this a block section
	# Create a row in survey_block_sections for each set of choices
	# - create a row in survey_block_questions for each of the choices of the questions
	# - mark section as block-section

	db_foreach example_questions "" {
	    set block_id [db_nextval survey_block_section_id_seq]
	    set choice_id [db_nextval survey_block_choice_id_seq]
	    db_dml make_block_section ""
	    db_dml make_block_choices ""
	}
	db_dml mark_block_section ""
	
    } else {
	if {$old_block_section_p=="t" && $block_section_p=="f"} {
	    # undo block section
	    db_dml mark_noblock_section ""
	    db_dml remove_block_questions ""
	    db_dml remove_block_sections ""
	}
    }

    # Answer descriptions for block sections
    if {$block_section_p=="t"} {
	set answer_descriptions [split $answer_descriptions "\n"]
	set count 0
	foreach block_section_id [db_list block_sections ""] {
	    set answer_description [lindex $answer_descriptions $count]
	    incr count
	    db_dml add_answer_description ""
	}
    }

    # after is the section which is to be newly above the section
    # refers_to is the section our condition refers to
    # if after is before refers_to we're before our condition and that case should be avoided
    # -> drop the condition
    
    if {$after<$refers_to} {
	db_dml modify_branch ""
	db_dml drop_condition ""
    }

    db_dml remove_sort_key ""
    db_dml reorder_sort_key ""
    db_dml modify_section ""

    if {$branch_p=="t" && $old_branch_p=="f"} {
	set branch_id [db_nextval survey_branch_id_sequence]
	db_dml add_branch ""
    }

    
    if {$old_branch_p=="t" && $branch_p=="f"} {
	# remove branch and condition
	db_dml drop_branch ""
	if {[info exists condition]} {
	    db_dml drop_condition ""
	}
    }

} on_error {
    
    db_release_unused_handles
    ad_return_error "Database Error" "<pre>$errmsg</pre>"
    ad_script_abort
    
}

ad_returnredirect "one?survey_id=$survey_id&#${sort_key}"
ad_script_abort
 

